package cn.wisenergy.model.app;

import com.alibaba.excel.annotation.ExcelIgnoreUnannotated;
import com.alibaba.excel.annotation.ExcelProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.Date;

/**
 * @author 86187
 * @ Description: 二维码防伪实体类
 * @ Author     : 86187
 * @ Date       : 2021/4/21 11:48
 */
@Data
@ApiModel("AntiFake")
@NoArgsConstructor
@AllArgsConstructor
@ExcelIgnoreUnannotated
public class AntiFake implements Serializable {
    private static final long serialVersionUID = 916503632222291721L;
    /**
     * 主键id
     */
    @ApiModelProperty(value = "主键id", name = "id")
    private Long id;

    /**
     * 产品编号
     */
    @ApiModelProperty(value = "产品编号", name = "productNo")
    private String productNo;

    /**
     * 安全码
     */
    @ApiModelProperty(value = "安全码", name = "securityCode")
    private String securityCode;
    /**
     * 批次号
     */
    @ApiModelProperty(value = "批次号", name = "batchNumber")
    private String batchNumber;

    /**
     * 防伪码
     */
    @ApiModelProperty(value = "防伪码", name = "shaValue")
    @ExcelProperty(value = "防伪码")
    private String shaValue;

    /**
     * 生产日期 yyyy-MM-dd
     */
    @ApiModelProperty(value = "生产日期 yyyy-MM-dd", name = "produceTime")
    private String produceTime;

    /**
     * 第一次扫码时间
     */
    @ApiModelProperty(value = "第一次扫码时间", name = "scanTime")
    private Date scanTime;

    /**
     * 状态 ： 0：未扫描 1：已扫描
     */
    @ApiModelProperty(value = "状态 ： 0：未扫描 1：已扫描", name = "status")
    private Integer status;

    @ApiModelProperty(value = "使用状态 ： 0：未使用 1：已使用", name = "useStatus")
    private Integer useStatus;

    /**
     * 扫描次数
     */
    @ApiModelProperty(value = "扫描次数", name = "scanNumber")
    private Integer scanNumber;

    private Date createTime;

    private Date updateTime;

}
