package cn.wisenergy.model.app;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * @author 86187
 * @ Description   :  用户填写邀请码行为记录详情表
 * @ Author        :  zw
 * @ CreateDate    :  2020/3/25 10:42
 */

@Data
@ApiModel("UserDataInfo")
@TableName("user_data_info")
public class UserDataInfo implements Serializable {

    @ApiModelProperty(name = "id",value = "主键id")
    private int id;

    @ApiModelProperty(name = "user_id",value = "用户id")
    private String userId;

    @ApiModelProperty(name = "inviteCode",value = "邀请码")
    private String inviteCode;

    @ApiModelProperty(name = "beInvitedCode",value = "推荐人邀请码")
    private String beInvitedCode;

    /**
     * 0：该条记录未进行升级处理
     * 1：该条记录已进行升级处理
     */
    @ApiModelProperty(name="levelStatus",value = "是否计算升级状态")
    private int levelStatus;

    @ApiModelProperty(name = "createTime",value = "创建时间")
    private Date createTime;

    @ApiModelProperty(name = "updateTime",value = "修改时间")
    private Date updateTime;
}
